RENICE(1)

NUME
renice - modifică prioritatea proceselor care rulează

REZUMAT

renice [-n|--priority|--relative] prioritatea [-g|-p|-u] identificator...

DESCRIERE

renice modifică prioritatea de planificare a unuia sau mai multor procese în curs de execuție. Primul argument este valoarea priorității care urmează să fie utilizată. Celelalte argumente sunt interpretate ca ID-uri de proces (în mod implicit), ID-uri de grup de procese, ID-uri de utilizator sau nume de utilizator. Executarea renice asupra unui grup de procese determină modificarea priorității de planificare a tuturor proceselor din grupul de procese. Executarea renice asupra unui utilizator determină modificarea priorității de planificare a tuturor proceselor deținute de utilizator.

În mod implicit, prioritatea este înțeleasă ca o valoare absolută. Dar când este dată opțiunea --relative sau când este dată opțiunea -n și este activată variabila de mediu POSIXLY_CORRECT, atunci prioritatea este înțeleasă ca o valoare relativă.

OPȚIUNI

-n prioritatea|delta
    Specifică prioritatea absolută de planificare (atunci când POSIXLY_CORRECT nu este activată) sau o prioritate relativă (atunci când POSIXLY_CORRECT este activatã) . Consultați secțiunea NOTE de mai jos pentru mai multe detalii. Utilizarea opțiunii -n este opțională, dar, atunci când este folosită, trebuie să fie primul argument.

--priority prioritatea
    Specifică prioritatea absolută de planificare care trebuie utilizată. Aceasta este valoarea implicită, atunci când nu este specificată nicio opțiune.

--relative delta
    Specifică o prioritate relativă. Prioritatea actuală de planificare este incrementată/decrementată cu valoarea delta specificată. (Aceasta corespunde opțiunii -n atunci când este activată POSIXLY_CORRECT.)

-g, --pgrp
    Interpretează argumentele următoare ca ID-uri de grup de procese.

-p, --pid
    Interpretează argumentele următoare ca ID-uri de proces (valoarea implicită).

-u, --user
    Interpretează argumentele următoare ca nume de utilizator sau UID-uri.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

FIȘIERE

/etc/passwd
    pentru a pune în corespondență numele de utilizator cu ID-urile de utilizator

NOTE

Utilizatorii, alții decât superutilizatorul, pot modifica doar prioritatea proceselor pe care le dețin. În plus, un utilizator neprivilegiat poate doar să crească valoarea „de curtoazie” (adică: să reducă gradul de urgență), iar astfel de modificări sunt ireversibile, cu excepția cazului în care (începând cu Linux 2.6.12) utilizatorul are o limită de resurse „de curtoazie” adecvată (a se vedea getrlimit(2)).

Superutilizatorul poate modifica prioritatea oricărui proces și poate stabili prioritatea la orice valoare din intervalul -20 la 19. Prioritățile utile sunt: 19 (procesele afectate vor rula numai atunci când nimic altceva din sistem nu dorește să o facă), 0 (prioritatea de planificare „de bază”), orice valoare negativă (pentru ca lucrurile să meargă foarte repede).

Din motive istorice, opțiunea -n din această implementare nu respectă specificația POSIX: în loc să stabilească o prioritate relativă, aceasta stabilește o prioritate absolută în mod implicit. Deoarece acest lucru poate să nu fie de dorit, acest comportament poate fi modificat prin configurarea variabilei de mediu POSIXLY_CORRECT, pentru a asigura conformitatea deplină cu POSIX. Consultați opțiunile --relative și --priority pentru opțiuni care nu își modifică comportamentul în funcție de variabilele de mediu.

ISTORIC

Comanda renice a apărut în 4.0BSD.

EXEMPLU

Următoarea comandă schimbă prioritatea proceselor cu PID-urile 987 și 32, plus toate procesele deținute de utilizatorii daemon și root:

    renice +1 987 -u daemon root -p 32

CONSULTAȚI ȘI

nice(1), chrt(1), getpriority(2), setpriority(2), credentials(7), sched(7)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda renice face parte din pachetul util-linux care poate fi descărcat de la